---
- name: apply a test role
  collections:
    - community.general
    - ansible.posix
  hosts: test_servers
  vars:
    ansible_python_interpreter: /usr/bin/python3
  pre_tasks:
    - name: define ansible_python_interpreter group // linux distribution
      set_fact:
        ansible_python_interpreter: /usr/bin/python2
      when: ansible_distribution == 'CentOS' and ansible_distribution_major_version == '7'
  roles:
    #- role: redis
    #  when: redis_daemon == "redis" or redis_daemon == "keydb"
    #- role: web_php
    #  vars:
    #    enable_php_fpm: false
    - role: mariadb
    #- role: nextcloud
